## libmatroska 1.4.4

=== debian/changelog ===
libmatroska (1.4.4-1) unstable; urgency=medium

  * New upstream release
    - debian/control: libebml b-dep version bumped

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 21 Oct 2015 15:45:15 +0200

libmatroska (1.4.3-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset removed (applied upstream)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 20 Oct 2015 13:50:52 +0200

libmatroska (1.4.2-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 04 Aug 2015 21:10:32 +0200

libmatroska (1.4.2-3) experimental; urgency=medium

  * Team upload.
  * Rename package for GCC 5 transition.
  * debian/patches/link-ebml.patch: Link against libebml.
  * debian/{control,rules}: Build with --with autoreconf.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Aug 2015 22:54:53 +0200

libmatroska (1.4.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 27 Apr 2015 10:35:12 +0200

=== debian/control ===
Source: libmatroska
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Rico Tzschichholz <ricotz@ubuntu.com>,
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-autoreconf,
 libebml-dev (>= 1.3.3),
 pkg-config,
 g++ (>= 4:5.2)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmatroska.git
Vcs-Browser: http://anonscm.debian.org/?p=pkg-multimedia/libmatroska.git
Homepage: http://www.matroska.org/

Package: libmatroska6v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Breaks:
 libmatroska6
Replaces:
 libmatroska6
Description: extensible open standard audio/video container format (shared library)
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensibility
 are gained without breaking file support in old parsers.
 .
 This package contains the shared library needed to run applications that
 use libmatroska.

Package: libmatroska-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libmatroska6v5 (= ${binary:Version}),
 libebml-dev (>= 1.3.3),
 ${misc:Depends}
Description: extensible open standard audio/video container format (development files)
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensibility
 are gained without breaking file support in old parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libmatroska.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_auto_test:
	dh_auto_test --no-act

## libmatroska 1.4.5

=== debian/changelog ===
libmatroska (1.4.5-2) unstable; urgency=medium

  * debian/shlibs: file added (Closes: #835118)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 23 Aug 2016 13:50:11 +0200

libmatroska (1.4.5-1) unstable; urgency=medium

  * New upstream release
    - debian/control: libebml-dev b-dep version bump to (>= 1.3.4)
  * debian/control: S-V bump 3.9.6 -> 3.9.8 (no changes needed)
  * debian/control: Vcs-* fields updated for https:// usage

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 04 Jul 2016 22:54:53 +0200

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
 Build-Depends:
  debhelper (>= 9),
  dh-autoreconf,
- libebml-dev (>= 1.3.3),
+ libebml-dev (>= 1.3.4),
  pkg-config,
  g++ (>= 4:5.2)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libmatroska.git
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-multimedia/libmatroska.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libmatroska.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libmatroska.git
 Homepage: http://www.matroska.org/
 
 Package: libmatroska6v5

## libmatroska 1.4.7

=== debian/changelog ===
libmatroska (1.4.7-2) unstable; urgency=medium

  * Upload to unstable
  * debian/control: S-V bump 3.9.8 => 4.0.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 22 Jun 2017 17:29:27 +0200

libmatroska (1.4.7-1) experimental; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 14 Apr 2017 10:11:41 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libebml-dev (>= 1.3.4),
  pkg-config,
  g++ (>= 4:5.2)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libmatroska.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libmatroska.git
 Homepage: http://www.matroska.org/

## libmatroska 1.4.8

=== debian/changelog ===
libmatroska (1.4.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable to really closes #877497.

 -- Christian Marillat <marillat@debian.org>  Tue, 03 Oct 2017 13:02:07 +0200

libmatroska (1.4.8-1) experimental; urgency=medium

  * New upstream release (Closes: #877497)
  * debian/: dh bump 9 -> 10
  * debian/control: S-V bump 4.0.0 -> 4.1.1 (no changes needed)
  * debian/watch: .tar.bz2 -> .tar.xz

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 02 Oct 2017 22:47:12 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
+ debhelper (>= 10),
  libebml-dev (>= 1.3.4),
  pkg-config,
  g++ (>= 4:5.2)
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libmatroska.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libmatroska.git
 Homepage: http://www.matroska.org/

=== debian/watch ===
version=3
http://dl.matroska.org/downloads/libmatroska/libmatroska-(.*)\.tar\.xz

## libmatroska 1.4.9

=== debian/changelog ===
libmatroska (1.4.9-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Revert to debhelper 10 compat for backporting.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Jul 2018 14:31:35 -0700

libmatroska (1.4.9-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Bump libebml-dev B-D based on upstream requirements.
  * debian/:
    - Convert to cmake build system
    - Bump debhelper compat level to 11

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Apr 2018 13:04:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: libmatroska
 Section: devel
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  debhelper (>= 10),
- libebml-dev (>= 1.3.4),
+ cmake,
+ libebml-dev (>= 1.3.6),
  pkg-config,
  g++ (>= 4:5.2)
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libmatroska.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libmatroska.git
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/multimedia-team/libmatroska.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libmatroska
 Homepage: http://www.matroska.org/
 
 Package: libmatroska6v5
@@ -44,7 +46,7 @@
 Multi-Arch: same
 Depends:
  libmatroska6v5 (= ${binary:Version}),
- libebml-dev (>= 1.3.3),
+ libebml-dev (>= 1.3.5),
  ${misc:Depends}
 Description: extensible open standard audio/video container format (development files)
  Matroska is aiming to become the standard of Multimedia

## libmatroska 1.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1.2)

project(matroska VERSION 1.5.0)

option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)

find_package(Ebml 1.3.7 REQUIRED)

include(GNUInstallDirs)

set(libmatroska_SOURCES
  src/FileKax.cpp
  src/KaxAttached.cpp
  src/KaxAttachments.cpp
  src/KaxBlock.cpp
  src/KaxBlockData.cpp
  src/KaxCluster.cpp
  src/KaxContexts.cpp
  src/KaxCues.cpp
  src/KaxCuesData.cpp
  src/KaxInfoData.cpp
  src/KaxSeekHead.cpp
  src/KaxSegment.cpp
  src/KaxSemantic.cpp
  src/KaxTracks.cpp
  src/KaxVersion.cpp)

set(libmatroska_PUBLIC_HEADERS
  matroska/FileKax.h
  matroska/KaxAttached.h
  matroska/KaxAttachments.h
  matroska/KaxBlockData.h
  matroska/KaxBlock.h
  matroska/KaxChapters.h
  matroska/KaxClusterData.h
  matroska/KaxCluster.h
  matroska/KaxConfig.h
  matroska/KaxContentEncoding.h
  matroska/KaxContexts.h
  matroska/KaxCuesData.h
  matroska/KaxCues.h
  matroska/KaxDefines.h
  matroska/KaxInfoData.h
  matroska/KaxInfo.h
  matroska/KaxSeekHead.h
  matroska/KaxSegment.h
  matroska/KaxSemantic.h
  matroska/KaxTag.h
  matroska/KaxTags.h
  matroska/KaxTrackAudio.h
  matroska/KaxTrackEntryData.h
  matroska/KaxTracks.h
  matroska/KaxTrackVideo.h
  matroska/KaxTypes.h
  matroska/KaxVersion.h)

set (libmatroska_C_PUBLIC_HEADERS
  matroska/c/libmatroska.h
  matroska/c/libmatroska_t.h)

add_library(matroska ${libmatroska_SOURCES} ${limatroska_PUBLIC_HEADERS} ${libmatroska_C_PUBLIC_HEADERS})
target_link_libraries(matroska PUBLIC ebml)
set_target_properties(matroska PROPERTIES
  VERSION 6.0.0
  SOVERSION 6)
target_include_directories(matroska PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
if(MSVC)
  target_compile_definitions(matroska PRIVATE _CRT_SECURE_NO_WARNINGS)
endif()
if(BUILD_SHARED_LIBS)
  target_compile_definitions(matroska PUBLIC MATROSKA_DLL)
  set_target_properties(matroska PROPERTIES DEFINE_SYMBOL "MATROSKA_DLL_EXPORT")
endif()

install(TARGETS matroska
  EXPORT MatroskaTargets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${libmatroska_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska)
install(FILES ${libmatroska_C_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska/c)

if(NOT DISABLE_PKGCONFIG)
  set(prefix ${CMAKE_INSTALL_PREFIX})
  set(exec_prefix "\$\{prefix\}")
  set(libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
  set(includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
  set(PACKAGE_VERSION ${PROJECT_VERSION})
  configure_file(libmatroska.pc.in libmatroska.pc @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/libmatroska.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
endif()

if(NOT DISABLE_CMAKE_CONFIG)
  if(WIN32)
    set(CMAKE_INSTALL_PACKAGEDIR cmake)
  else()
    set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
  endif()
  include(CMakePackageConfigHelpers)
  write_basic_package_version_file(MatroskaConfigVersion.cmake COMPATIBILITY SameMajorVersion)
  install(EXPORT MatroskaTargets DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
  install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/MatroskaConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfigVersion.cmake
    DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
endif()

=== debian/changelog ===
libmatroska (1.5.0-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 27 Apr 2019 10:24:00 -0700

libmatroska (1.5.0-1) experimental; urgency=medium

  * New upstream release
  * debian/control: b-dep on libebml-dev bumped to 1.3.7
  * debian/control: S-V bump 4.1.4 -> 4.3.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 16 Mar 2019 14:08:16 +0100

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
 Build-Depends:
  debhelper (>= 10),
  cmake,
- libebml-dev (>= 1.3.6),
+ libebml-dev (>= 1.3.7),
  pkg-config,
  g++ (>= 4:5.2)
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/libmatroska.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libmatroska
 Homepage: http://www.matroska.org/

## libmatroska 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.1.2)
 
-project(matroska VERSION 1.5.0)
+project(matroska VERSION 1.5.2)
 
 option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
 option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)
 
-find_package(Ebml 1.3.7 REQUIRED)
+find_package(EBML 1.3.9 REQUIRED)
 
 include(GNUInstallDirs)
 
@@ -59,8 +59,8 @@
   matroska/c/libmatroska.h
   matroska/c/libmatroska_t.h)
 
-add_library(matroska ${libmatroska_SOURCES} ${limatroska_PUBLIC_HEADERS} ${libmatroska_C_PUBLIC_HEADERS})
-target_link_libraries(matroska PUBLIC ebml)
+add_library(matroska ${libmatroska_SOURCES} ${libmatroska_PUBLIC_HEADERS} ${libmatroska_C_PUBLIC_HEADERS})
+target_link_libraries(matroska PUBLIC EBML::ebml)
 set_target_properties(matroska PROPERTIES
   VERSION 6.0.0
   SOVERSION 6)
@@ -72,7 +72,8 @@
 endif()
 if(BUILD_SHARED_LIBS)
   target_compile_definitions(matroska PUBLIC MATROSKA_DLL)
-  set_target_properties(matroska PROPERTIES DEFINE_SYMBOL "MATROSKA_DLL_EXPORT")
+  set_target_properties(matroska PROPERTIES
+    DEFINE_SYMBOL MATROSKA_DLL_EXPORT)
 endif()
 
 install(TARGETS matroska
@@ -95,16 +96,14 @@
 endif()
 
 if(NOT DISABLE_CMAKE_CONFIG)
-  if(WIN32)
-    set(CMAKE_INSTALL_PACKAGEDIR cmake)
-  else()
-    set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME})
-  endif()
+  set(CMAKE_INSTALL_PACKAGEDIR ${CMAKE_INSTALL_LIBDIR}/cmake/Matroska)
   include(CMakePackageConfigHelpers)
+  configure_package_config_file(MatroskaConfig.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfig.cmake
+    INSTALL_DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
   write_basic_package_version_file(MatroskaConfigVersion.cmake COMPATIBILITY SameMajorVersion)
-  install(EXPORT MatroskaTargets DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
+  install(EXPORT MatroskaTargets NAMESPACE Matroska:: DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
   install(FILES
-    ${CMAKE_CURRENT_SOURCE_DIR}/MatroskaConfig.cmake
+    ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfig.cmake
     ${CMAKE_CURRENT_BINARY_DIR}/MatroskaConfigVersion.cmake
     DESTINATION ${CMAKE_INSTALL_PACKAGEDIR})
 endif()

=== debian/changelog ===
libmatroska (1.5.2-3build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:15 +0100

libmatroska (1.5.2-3) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.

  [ Sebastian Ramacher ]
  * debian/shlibs: Removed so that dh_makeshlibs' default in debhelper compat
    12 using the current upstream version is used (Closes: #946669)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 13 Dec 2019 11:36:12 +0100

libmatroska (1.5.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Jul 2019 12:22:13 +0200

libmatroska (1.5.2-1) experimental; urgency=medium

  * New upstream release
    - debian/control: libebml-dev b-dep bumped to v1.3.9

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 29 May 2019 22:36:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: libmatroska
 Section: devel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  cmake,
- libebml-dev (>= 1.3.7),
+ libebml-dev (>= 1.3.9),
  pkg-config,
  g++ (>= 4:5.2)
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/libmatroska.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libmatroska
-Homepage: http://www.matroska.org/
+Homepage: https://www.matroska.org/
 
 Package: libmatroska6v5
 Section: libs

## libmatroska 1.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,16 @@
 cmake_minimum_required(VERSION 3.1.2)
 
-project(matroska VERSION 1.5.2)
+project(matroska VERSION 1.6.2)
 
 option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
 option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)
 
-find_package(EBML 1.3.9 REQUIRED)
+find_package(EBML 1.4.0 REQUIRED)
 
 include(GNUInstallDirs)
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set(libmatroska_SOURCES
   src/FileKax.cpp
@@ -62,18 +65,30 @@
 add_library(matroska ${libmatroska_SOURCES} ${libmatroska_PUBLIC_HEADERS} ${libmatroska_C_PUBLIC_HEADERS})
 target_link_libraries(matroska PUBLIC EBML::ebml)
 set_target_properties(matroska PROPERTIES
-  VERSION 6.0.0
-  SOVERSION 6)
-target_include_directories(matroska PUBLIC
-  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
-  $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
+  VERSION 7.0.0
+  SOVERSION 7
+  CXX_VISIBILITY_PRESET hidden
+  VISIBILITY_INLINES_HIDDEN ON
+)
+target_include_directories(matroska
+  PRIVATE
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>
+	PUBLIC
+    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
+    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>)
 if(MSVC)
   target_compile_definitions(matroska PRIVATE _CRT_SECURE_NO_WARNINGS)
 endif()
-if(BUILD_SHARED_LIBS)
-  target_compile_definitions(matroska PUBLIC MATROSKA_DLL)
-  set_target_properties(matroska PROPERTIES
-    DEFINE_SYMBOL MATROSKA_DLL_EXPORT)
+
+include(GenerateExportHeader)
+generate_export_header(matroska EXPORT_MACRO_NAME MATROSKA_DLL_API)
+target_sources(matroska
+  PRIVATE
+    ${CMAKE_CURRENT_BINARY_DIR}/matroska_export.h
+)
+
+if(NOT BUILD_SHARED_LIBS)
+  target_compile_definitions(matroska PUBLIC MATROSKA_STATIC_DEFINE)
 endif()
 
 install(TARGETS matroska
@@ -84,6 +99,7 @@
 
 install(FILES ${libmatroska_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska)
 install(FILES ${libmatroska_C_PUBLIC_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska/c)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/matroska_export.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/matroska)
 
 if(NOT DISABLE_PKGCONFIG)
   set(prefix ${CMAKE_INSTALL_PREFIX})

=== debian/changelog ===
libmatroska (1.6.2-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Thu, 06 Aug 2020 15:49:49 +0200

libmatroska (1.6.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 06 Jul 2020 23:49:10 +0200

libmatroska (1.6.0-1) experimental; urgency=medium

  * New upstream release (Closes: #964311)
    - debian/: SONAME bump 6v5 -> 7
  * debian/control:
    - debhelper bump 12 -> 13
    - S-V bump 4.4.1 -> 4.5.0
    - sorting and bumping version on libebml
    - RRR set

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 05 Jul 2020 23:10:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
  Rico Tzschichholz <ricotz@ubuntu.com>,
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  cmake,
- libebml-dev (>= 1.3.9),
- pkg-config,
- g++ (>= 4:5.2)
-Standards-Version: 4.4.1
+ g++ (>= 4:5.2),
+ libebml-dev (>= 1.4.0),
+ pkg-config
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/libmatroska.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libmatroska
 Homepage: https://www.matroska.org/
 
-Package: libmatroska6v5
+Package: libmatroska7
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -44,8 +45,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libmatroska6v5 (= ${binary:Version}),
- libebml-dev (>= 1.3.5),
+ libmatroska7 (= ${binary:Version}),
+ libebml-dev (>= 1.4.0),
  ${misc:Depends}
 Description: extensible open standard audio/video container format (development files)
  Matroska is aiming to become the standard of Multimedia

## libmatroska 1.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.1.2)
 
-project(matroska VERSION 1.6.2)
+project(matroska VERSION 1.6.3)
 
 option(DISABLE_PKGCONFIG "Disable PkgConfig module generation" OFF)
 option(DISABLE_CMAKE_CONFIG "Disable CMake package config module generation" OFF)
 
-find_package(EBML 1.4.0 REQUIRED)
+find_package(EBML 1.4.2 REQUIRED)
 
 include(GNUInstallDirs)

=== debian/control ===
Source: libmatroska
Section: devel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
           Rico Tzschichholz <ricotz@ubuntu.com>,
           Matteo F. Vescovi <mfv@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               g++ (>= 4:5.2),
               libebml-dev (>= 1.4.0),
               pkg-config
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/multimedia-team/libmatroska.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libmatroska
Homepage: https://www.matroska.org/

Package: libmatroska7
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libmatroska6
Replaces: libmatroska6
Description: extensible open standard audio/video container format (shared library)
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensibility
 are gained without breaking file support in old parsers.
 .
 This package contains the shared library needed to run applications that
 use libmatroska.

Package: libmatroska-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libebml-dev (>= 1.4.0),
         libmatroska7 (= ${binary:Version}),
         ${misc:Depends}
Description: extensible open standard audio/video container format (development files)
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensibility
 are gained without breaking file support in old parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libmatroska.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON

override_dh_auto_test:
	dh_auto_test --no-act

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## libmatroska 1.7.1

=== debian/changelog ===
libmatroska (1.7.1-2) unstable; urgency=medium

  * Team upload
  * debian/patches: Bump minimum CMake version (Closes: #1113173)
  * debian/control:
    - Bump Standards-Version
    - Use pkgconf
    - Remove old Breaks+Replaces

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Sep 2025 21:10:56 +0200

libmatroska (1.7.1-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Sebastian Ramacher ]
  * New upstream version 1.7.1
  * debian/control:
    - Bump libebml-dev (Build-)Depends
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 09 Oct 2022 17:33:54 +0200

libmatroska (1.6.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 17 Aug 2021 22:11:41 +0200

libmatroska (1.6.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control: S-V bump 4.5.0 -> 4.5.1 (no changes needed)
  * debian/watch: version bump 3 -> 4

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 02 May 2021 18:41:38 +0200

=== debian/control ===
Source: libmatroska
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Rico Tzschichholz <ricotz@ubuntu.com>,
 Matteo F. Vescovi <mfv@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libebml-dev (>= 1.4.3),
 pkgconf
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/multimedia-team/libmatroska.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libmatroska
Homepage: https://www.matroska.org/

Package: libmatroska7
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: extensible open standard audio/video container format (shared library)
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensibility
 are gained without breaking file support in old parsers.
 .
 This package contains the shared library needed to run applications that
 use libmatroska.

Package: libmatroska-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libmatroska7 (= ${binary:Version}),
 libebml-dev (>= 1.4.3),
 ${misc:Depends}
Description: extensible open standard audio/video container format (development files)
 Matroska is aiming to become the standard of Multimedia
 Container Formats one day. It is based on EBML (Extensible Binary
 Meta Language), a kind of binary version of XML. This way the
 significant advantages in terms of future format extensibility
 are gained without breaking file support in old parsers.
 .
 This package contains the header files and static libraries needed to
 compile applications that use libmatroska.

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,3 @@
 
 override_dh_auto_test:
 	dh_auto_test --no-act
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=4
https://dl.matroska.org/downloads/libmatroska/libmatroska-(.*)\.tar\.xz
